<?php
// no direct access
defined('_JEXEC') or die;

	// Include the syndicate functions only once
	require_once dirname(__FILE__).'/helper.php';

	//set moduleid
	$moduleID = $module->id;
	$moduleName = $module->module;

	// Get application parameters
	$app = JFactory::getApplication();
	$appParams = $app->getParams();

	//get module category 
	$par = $params->get('catid');

	$catid = $par[0];

	try{
		if (empty($catid)){
		  throw new Exception("No category set to the module!");
		}
		else
		{
			$speed = $params->get('speed',1200);
			$pause = $params->get('pause',5000);
			$direction = $params->get('direction','up');
			$mousePause = $params->get('mousePause','true');
			$showi = $params->get('showi',1);
			$ticker_title = $params->get('ticker_title','Company News');
			$read_more = $params->get('read_more','Read More');
			$ticker_width = 200; //default
			//
			$reduce_introtext = $params->get('reduce_introtext',0);
			$text_color = $params->get('text_color',1);
			$border_color = $params->get('border_color','#c2c2c2');
			$title_color = $params->get('title_color','#606363');
			$ticker_title_color = $params->get('ticker_title_color','#606363');
			$rm_color = $params->get('rm_color','#687d96');
			$font_size = $params->get('font_size',13);
			$rm_visible = $params->get('rm_visible',1);
 			$articlesOrder = $params->get('articles_order',"desc");
			
			// Advanced options
			$advanced_enabled = $params->get('advanced_enabled');
			
			if($advanced_enabled==1)
			{
				$intolimit = $params->get('intro_limit',150);
				$frameh = $params->get('frame_height',230); 
				$contenth = $params->get('content_height',180); 
				$item_height = $params->get('item_height',180); 
				$ticker_width = $params->get('ticker_width',200);
			}
			else
			{
				// calc dimentions according to items to show 
				switch ($showi) {
				default:
				case 1:
					$intolimit = 150 - $reduce_introtext;
					$frameh = 230;
					$contenth = 180;
					$item_height = 180;
					break;
				case 2:
					$intolimit = 130 - $reduce_introtext;
					$frameh = 410;
					$contenth = 360;
					$item_height = 180;
					break;
				case 3:
					$intolimit = 80 - $reduce_introtext;
					$frameh = 470;
					$contenth = 420;
					$item_height = 140;
				   break;
				}
			}

			// Max: make it a function from helper
			modUniteTickerHelper::load_script($moduleName);

			$articles_array = modUniteTickerHelper::get_articles($catid, $intolimit, $articlesOrder);
			
			if(empty($articles_array))
			  throw new Exception("No articles in the category!");
			  
			$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
			  
			$path = JModuleHelper::getLayoutPath('mod_uniteticker', $params->get('layout', 'default'));
			require $path;

		}
	}	
	catch (Exception $e) {
     echo '',  $e->getMessage(), "\n";
	}
	
	