<?php 

if(!function_exists("dmp")){
	function dmp($str){
		echo "<pre>";
		print_r($str);
		echo "</pre>";
	}
}

// no direct access
defined('_JEXEC') or die;

abstract class modUniteTickerHelper{
	
	private static $scripts_loaded = false;
	
	public static function get_articles($catid, $intolimit,$articlesOrder){
	
		// define array
		$articles_array = array(); 
		$db = JFactory::getDBO();
		
		$query = $db->getQuery(true);
		$query->select(array('id'));
		$query->from('#__content');
		$query->where('catid ='.$catid);
		
		if($articlesOrder == "desc")
			$query->order("created desc, modified desc");
		else
			$query->order("created asc, modified asc");
		
		// Reset the query using our newly populated query object.
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		// build an array to return	
		foreach($results as $res) 
		{
			$artid = $res->id;
			$sql = "SELECT introtext FROM #__content WHERE id = ". $artid;
			$db->setQuery($sql);
			$intro = $db->loadResult();
			$intro = mb_substr($intro, 0, $intolimit);
			$intro = $intro . "...";
			
			$sql = "SELECT title FROM #__content WHERE id = ". $artid;
			$db->setQuery($sql);
			$title = $db->loadResult();
			
			$artLink = JURI::root(true)."/index.php?option=com_content&view=article&id=" . $artid;
			
			$article = array($intro, $title, $artLink);
			$articles_array[$artid] = $article;
		}
		
		return $articles_array;
	}
	
	/**
	 * 
	 * load the js and css scripts
	 */
	 public static function load_script($moduleName) {	
		
		if(self::$scripts_loaded == false){
			$urlModule = JURI::root(true)."/modules/$moduleName/";
			$doc = JFactory::getDocument();
			
			$doc->addScript($urlModule."js/jquery-1.8.3.js");
			$doc->addScript($urlModule.'js/jquery.vticker-min.js');

			$doc->addStyleSheet($urlModule.'css/style.css');
			self::$scripts_loaded = true;
		}
	 }
}

